


function Wurzel ( x : real ) : real;

var x0, x1 : real;
begin
if x>=0 then begin
             x1:=x;
             repeat
               x0:=x1;
               x1:=(x0+x/x0)/2;
             until (x0 + abs(x0-x1) = x0);
             Wurzel:=x1;
             end
        else begin
             writeln('Fehler: Wurzel ist komplex!');
             end;
end; { Wurzel }



